Subject: Re: possible new features

From: Olivier Chapuis <[email-masked]>
Date: Sat, 1 Dec 2001 07:35:27 +0100

On Thu, Nov 29, 2001 at 01:58:31PM -0500, Tim Toolan wrote:
> 
> Hi,
> 
> I have included a few new features for the WindowList, which I have
> been manually adding myself for years now.  They do not change any
> current functionality, and are just additional options which can be used.
> 
> The first option is "IndicateIconic", which if specified, will put
> parentheses around the name displayed in the list if the application
> is currently iconized state.
> 
> The second option is "ForceDeskSep", which will place separators
> between desks in the list, even if NoGeometry is specified.
>

I will use  ForceDeskSeparator

> The third option is "DeskNames", which is similar to the functionality
> of the FvwmPager's Label command.  It takes a colon separated list of
> arguments which are used instead of numbers on the title line of the
> list.
>

I do not think this one is a good idea (others are in my opinion).
That we need is a centralized way to define the desktop names.
If there is no objection I will implement the following command

DesktopName desk name

this way WindowList as well as the FvwmPager will use the same
desktop names. Moreover, with this we will be able to implement
the ewmh desktop names.
  
> 
> To illustrate how they are used, my WindowList function is used as follows:
> 
> Mouse  3  R  A  WindowList 
> Icons,Alphabetic,IndicateIconic,ForceDeskSep,NoGeometry,DeskNames 
> Default:Admin:Project:Thesis
> 
>

I will apply the patch (if there are no objections) if you provide
a patch to the fvwm2 man page too.
 
> Additionally, there are two additional functions that I use in FvwmPager,
> which if you feel they are useful, I can send patches for.
> 
> The first is "AutoRaiseLower", which raises the pager window to the
> top when the mouse enters it, and lowers it below all other windows
> when the mouse exits.  I find it useful, when there is only a corner
> of the pager showing.
> 

FvwmPager: AutoRaise
FvwmPager: NoAutoRaise
FvwmPager: AutoLower
FvwmPager: NoAutoLower

> The second is "WarpToWindow", which warps the mouse into the window,
> when it is clicked on in the pager.
>

This should be configurable as for example:
FvwmPager: MiniWindowMouse1 bultin_or_complex_function

Regards, Olivier
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Olivier Chapuis <[email-masked]>
Date: Tue, 11 Dec 2001 08:40:05 +0100

> Default:Admin:Project:Thesis

Ok,

I have added some different options to the current CVS (seems more
logic for me). Your "IndicateIconic,ForceDeskSep,NoGeometry" is now
equivalent to "NoGeometryWithInfo,NoDeskNum". For desktop name there
is a new command:

DesktopName 0 Admin
DesktopName 1 Project
DesktopName 2 Thesis

The advantage is that these names are also automatically used
in the FvwmPager (and in any ewmh compliant pager).

You may also like the new NoDeskNum, NoCurrentDeskTitle,
TitleForAllDesks window list options.

Regards, Olivier